XMLMapperConfigurator (Jackson JAX-RS 2.9.1-SNAPSHOT API)
Date: 2017-07-29

com.fasterxml.jackson.jaxrs.xml

## Class XMLMapperConfigurator

- java.lang.Object
- - com.fasterxml.jackson.jaxrs.cfg.MapperConfiguratorBase<XMLMapperConfigurator,XmlMapper>
  - - com.fasterxml.jackson.jaxrs.xml.XMLMapperConfigurator

-     public class XMLMapperConfigurator
      extends MapperConfiguratorBase<XMLMapperConfigurator,XmlMapper>

  Helper class used to encapsulate details of configuring an `XmlMapper` instance to be used for data binding, as well as accessing it.

- - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.jaxrs.cfg.MapperConfiguratorBase

      `_defaultAnnotationsToUse, _defaultMapper, _jaxbIntrospectorClass, _mapper`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLMapperConfigurator(XmlMapper mapper, Annotations[] defAnnotations)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected com.fasterxml.jackson.databind.AnnotationIntrospector` | `_resolveIntrospector(Annotations ann)`
    `protected com.fasterxml.jackson.databind.AnnotationIntrospector` | `_resolveIntrospectors(Annotations[] annotationsToUse)`
    `XmlMapper` | `getConfiguredMapper()` Method that locates, configures and returns `XmlMapper` to use
    `protected JacksonXmlModule` | `getConfiguredModule()`
    `XmlMapper` | `getDefaultMapper()`
    `protected XmlMapper` | `mapper()` Helper method that will ensure that there is a configurable non-default mapper (constructing an instance if one didn't yet exit), and return that mapper.

    - ### Methods inherited from class com.fasterxml.jackson.jaxrs.cfg.MapperConfiguratorBase

      `_setAnnotations, configure, configure, configure, configure, setAnnotationsToUse, setMapper`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLMapperConfigurator

          public XMLMapperConfigurator(XmlMapper mapper,
                               Annotations[] defAnnotations)

  - ### Method Detail

    - #### getConfiguredMapper

          public XmlMapper getConfiguredMapper()

      Method that locates, configures and returns `XmlMapper` to use
      Specified by:
        `getConfiguredMapper` in class `MapperConfiguratorBase<XMLMapperConfigurator,XmlMapper>`

    - #### getDefaultMapper

          public XmlMapper getDefaultMapper()

      Specified by:
        `getDefaultMapper` in class `MapperConfiguratorBase<XMLMapperConfigurator,XmlMapper>`

    - #### getConfiguredModule

          protected JacksonXmlModule getConfiguredModule()

    - #### mapper

          protected XmlMapper mapper()

      Helper method that will ensure that there is a configurable non-default mapper (constructing an instance if one didn't yet exit), and return that mapper.
      Specified by:
        `mapper` in class `MapperConfiguratorBase<XMLMapperConfigurator,XmlMapper>`

    - #### _resolveIntrospectors

          protected com.fasterxml.jackson.databind.AnnotationIntrospector _resolveIntrospectors(Annotations[] annotationsToUse)

      Specified by:
        `_resolveIntrospectors` in class `MapperConfiguratorBase<XMLMapperConfigurator,XmlMapper>`

    - #### _resolveIntrospector

          protected com.fasterxml.jackson.databind.AnnotationIntrospector _resolveIntrospector(Annotations ann)

Copyright © 2017 FasterXML. All rights reserved.